aboutsummaryrefslogtreecommitdiff
Commit message (Collapse)AuthorAgeFilesLines
* sci-libs/gmsh: version bump to 4.0.2Matthias Maier2018-10-102-0/+94
| | | | | Signed-off-by: Matthias Maier <tamiko@gentoo.org> Package-Manager: Portage-2.3.50, Repoman-2.3.11
* sci-libs/libxc: moved to gx86Christoph Junghans2018-10-025-202/+0
| | | | Signed-off-by: Christoph Junghans <ottxor@gentoo.org>
* sci-libs/nipype: corrected depHorea Christian2018-09-261-0/+1
| | | | Package-Manager: Portage-2.3.49, Repoman-2.3.10
* sci-libs/spams-python: added test suiteHorea Christian2018-09-051-0/+4
| | | | Package-Manager: Portage-2.3.48, Repoman-2.3.10
* sci-libs/spams-python: new packageHorea Christian2018-09-043-0/+80
| | | | Package-Manager: Portage-2.3.48, Repoman-2.3.10
* sci-libs/trilinos: fix compilation with superlu 5Matthias Maier2018-08-312-0/+162
| | | | Package-Manager: Portage-2.3.48, Repoman-2.3.10
* sci-libs/nipype: added testing depHorea Christian2018-08-113-1/+4
| | | | Package-Manager: Portage-2.3.45, Repoman-2.3.10
* sci-libs/nipype: version bumpHorea Christian2018-08-102-0/+54
| | | | Package-Manager: Portage-2.3.45, Repoman-2.3.10
* sci-libs/nipype: version bumpHorea Christian2018-08-092-0/+54
| | | | Package-Manager: Portage-2.3.44, Repoman-2.3.10
* sci-libs/nipype: EAPI and PYTHON_COMPAT bumpHorea Christian2018-08-091-3/+3
| | | | Package-Manager: Portage-2.3.44, Repoman-2.3.10
* sci-libs/pybids: EAPI and PYTHON_COMPAT bumpHorea Christian2018-08-021-2/+2
| | | | Package-Manager: Portage-2.3.44, Repoman-2.3.10
* sci-libs/pydicom: version bumpHorea Christian2018-07-312-0/+28
| | | | Package-Manager: Portage-2.3.44, Repoman-2.3.10
* sci-libs/nibabel: version bumpHorea Christian2018-07-312-0/+45
| | | | Package-Manager: Portage-2.3.44, Repoman-2.3.10
* sci-libs/nipy: Version bump and removed deprecated versionHorea Christian2018-07-313-36/+54
| | | | Package-Manager: Portage-2.3.44, Repoman-2.3.10
* sci-libs/nipy: EAPI and PYTHON_COMPAT bumpHorea Christian2018-07-303-9/+9
| | | | Package-Manager: Portage-2.3.44, Repoman-2.3.10
* sci-libs/nibabel: EAPI and PYTHON_COMPAT bumpHorea Christian2018-07-271-3/+3
| | | | Package-Manager: Portage-2.3.43, Repoman-2.3.10
* sci-libs/pydicom: EAPI and PYTHON_COMPAT bumpHorea Christian2018-07-262-6/+6
| | | | Package-Manager: Portage-2.3.43, Repoman-2.3.10
* sci-libs/nipype: version bumpHorea Christian2018-06-262-0/+63
| | | | Package-Manager: Portage-2.3.40, Repoman-2.3.9
* sci-libs/labbookdb: New packageHorea Christian2018-06-243-0/+45
| | | | Package-Manager: Portage-2.3.40, Repoman-2.3.9
* sci-libs/lapacke-reference: Bump EAPIJustin Lecher2018-06-213-105/+5
| | | | | Signed-off-by: Justin Lecher <jlec@gentoo.org> Package-Manager: Portage-2.3.40, Repoman-2.3.9
* sci-libs/lapacke-reference: Version BumpJustin Lecher2018-06-212-0/+100
| | | | | Signed-off-by: Justin Lecher <jlec@gentoo.org> Package-Manager: Portage-2.3.40, Repoman-2.3.9
* sci-libs/blas-reference: Run cmake-utils_src_prepareJustin Lecher2018-06-211-0/+1
| | | | | Signed-off-by: Justin Lecher <jlec@gentoo.org> Package-Manager: Portage-2.3.40, Repoman-2.3.9
* sci-libs/lapack-reference: Run cmake-utils_src_prepareJustin Lecher2018-06-212-1/+3
| | | | | Signed-off-by: Justin Lecher <jlec@gentoo.org> Package-Manager: Portage-2.3.40, Repoman-2.3.9
* sci-libs/blas-reference: Run cmake-utils_src_prepareJustin Lecher2018-06-211-1/+1
| | | | | Signed-off-by: Justin Lecher <jlec@gentoo.org> Package-Manager: Portage-2.3.40, Repoman-2.3.9
* sci-libs/blas-reference: Version BumpJustin Lecher2018-06-212-0/+110
| | | | | Signed-off-by: Justin Lecher <jlec@gentoo.org> Package-Manager: Portage-2.3.40, Repoman-2.3.9
* sci-libs/blas-reference: Clean oldJustin Lecher2018-06-214-223/+3
| | | | | Signed-off-by: Justin Lecher <jlec@gentoo.org> Package-Manager: Portage-2.3.40, Repoman-2.3.9
* sci-libs/lapack-reference: Bump EAPIJustin Lecher2018-06-211-2/+2
| | | | | Signed-off-by: Justin Lecher <jlec@gentoo.org> Package-Manager: Portage-2.3.40, Repoman-2.3.9
* sci-libs/lapack-reference: Clean oldJustin Lecher2018-06-214-368/+0
| | | | | Signed-off-by: Justin Lecher <jlec@gentoo.org> Package-Manager: Portage-2.3.40, Repoman-2.3.9
* sci-libs/lapack-reference: Version BumpJustin Lecher2018-06-212-0/+121
| | | | | Signed-off-by: Justin Lecher <jlec@gentoo.org> Package-Manager: Portage-2.3.40, Repoman-2.3.9
* sci-libs/lmfit: moved to gx86Christoph Junghans2018-06-016-153/+0
|
* sci-libs/lmfit: version bumpChristoph Junghans2018-05-313-0/+92
| | | | Package-Manager: Portage-2.3.24, Repoman-2.3.6
* sci-libs/lmfit: version bumpChristoph Junghans2018-05-312-0/+25
| | | | Package-Manager: Portage-2.3.24, Repoman-2.3.6
* sci-libs/dealii: remove superfluous configuration optionsMatthias Maier2018-05-232-2/+0
| | | | Package-Manager: Portage-2.3.38, Repoman-2.3.9
* sci-libs/dealii: drop version 8.4.2Matthias Maier2018-05-233-127/+0
| | | | | | | Keeping the last two versions (that were release 2017 and 2018) is enough :-) Package-Manager: Portage-2.3.38, Repoman-2.3.9
* sci-libs/pybids: new packageHorea Christian2018-05-234-0/+92
| | | | Package-Manager: Portage-2.3.38, Repoman-2.3.9
* sci-libs/dealii: update Manifest (again)Matthias Maier2018-05-141-1/+1
| | | | Package-Manager: Portage-2.3.36, Repoman-2.3.9
* sci-libs/dealii: update tarballMatthias Maier2018-05-132-2/+2
| | | | Package-Manager: Portage-2.3.36, Repoman-2.3.9
* sci-libs/dealii: version bump to 9.0.0Matthias Maier2018-05-112-0/+146
| | | | Package-Manager: Portage-2.3.36, Repoman-2.3.9
* sci-libs/dealii: remove really old versionsMatthias Maier2018-05-114-263/+0
| | | | Package-Manager: Portage-2.3.36, Repoman-2.3.9
* sci-libs/tensorflow: Move our flags to bazel-get-flags()Mark Wright2018-05-031-14/+18
| | | | Package-Manager: Portage-2.3.33, Repoman-2.3.9
* sci-libs/tensorflow: Use CPPFLAGS, CXXFLAGS, LDFLAGS.Mark Wright2018-05-021-7/+33
| | | | | | | | | | Setting CPPFLAGS should help #861 sci-libs/tensorflow: respect EPREFIX. Require [${PYTHON_USEDEP}] on Python deps, which should help the dev-python/wheel not working in #849 sci-libs/tensorflow: new package, ebuilds with IUSE="cuda mpi" need improvements. Package-Manager: Portage-2.3.31, Repoman-2.3.9
* sci-libs/tensorflow: Fix the C++ header findMark Wright2018-05-011-4/+3
| | | | Package-Manager: Portage-2.3.31, Repoman-2.3.9
* sci-libs/tensorflow: Bump to 1.8.0, build C and C++ APIsMark Wright2018-05-012-0/+173
| | | | Package-Manager: Portage-2.3.31, Repoman-2.3.9
* sci-libs/gmsh: version bump to 3.0.6Matthias Maier2018-04-242-0/+94
| | | | Package-Manager: Portage-2.3.31, Repoman-2.3.9
* sci-libs/tensorflow: try to determine site-packages path properlyMartin Mokrejs2018-04-181-4/+10
| | | | | | | | | This could support multiple python installations, improving further changes from https://github.com/gentoo/sci/issues/862 However, still untested by me due to sandbox violations, sorry. Package-Manager: Portage-2.3.28, Repoman-2.3.9
* sci-libs/tensorflow: more ebuild tweaks (still not working)Martin Mokrejs2018-04-181-8/+34
| | | | | | | | | | | | | | | | | | | - partially incorporate changes from https://github.com/gentoo/sci/issues/862 - respect more USE flags: cuda mpi - similar addition of opencl use flag doe snot work for me, repoman complains with: IUSE.invalid [fatal] 1 sci-libs/tensorflow/tensorflow-1.7.0.ebuild: opencl - try to install into python's site-packages properly (cannot test it) - the ebuild does not work for me still (SANDBOX VIOLATION due to /proc/self/setgroups access) Package-Manager: Portage-2.3.28, Repoman-2.3.9
* sci-libs/tensorflow: more tweaks to use bazel build systemMartin Mokrejs2018-04-091-2/+38
| | | | | | | | | | It does not build for me and later runs in sandbox violation error. Possibly the build system could respect USE=mkl too. The autogenerated? BUILD file speaks of static libs being output instead of shared libs. It also mentions how to call linker when linking 3rd-party apps against these libs. Package-Manager: Portage-2.3.27, Repoman-2.3.9
* sci-libs/tensorflow: version bumpMartin Mokrejs2018-04-073-2/+61
| | | | | | | | The ebuild does not compile for me still, it needs more work. Credits: Rok Kralj Closes: https://github.com/gentoo/sci/issues/857 Package-Manager: Portage-2.3.27, Repoman-2.3.9
* sci-libs/mkl: drop oldMatthias Maier2018-04-033-198/+0
| | | | Package-Manager: Portage-2.3.28, Repoman-2.3.9
* sci-libs/ipp: drop oldMatthias Maier2018-04-032-29/+0
| | | | Package-Manager: Portage-2.3.28, Repoman-2.3.9